textures/ut4_formad/clear_ripple3green
	{
		qer_editorimage textures/ut4_formad/clear_ripple3green.tga
		qer_trans .3
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/ut4_formad/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/ut4_formad/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/ut4_formad/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}

// 		{
//			map textures/ut4_formad/clouds.tga
//       		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//			tcMod scale 0.1 0.1
//			tcMod scroll 0.005 0.007	
//		}
	
//		{
//			map $lightmap
//			blendfunc gl_dst_color gl_src_color
//			blendFunc GL_dst_color GL_zero
//			rgbgen identity		
//		}
	

}

textures/ut4_formad/Grims_Forest
{
qer_editorimage textures/ut4_formad/Grims_Forest.tga
skyparms env/Grims_Forest/Grims_Forest - -
	//q3map_sunExt .88 .72 .46 500 0 60 2 64
	//q3map_skylight 900 3
	q3map_sunext 0.47450980392156862745098039215686 0.72549019607843137254901960784314 0.68627450980392156862745098039216 110 45 45 2 16
	q3map_lightmapFilterRadius 0 16
	q3map_skylight 100 2


surfaceparm sky
surfaceparm nolightmap
surfaceparm noimpact
surfaceparm nomarks

}

textures/ut4_formad/fire
{
	qer_editorimage textures/ut4_formad/fire.tga
	//q3map_cloneshader textures/ut4_formad/zzfire_1
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodlight
	deformvertexes move 0 0 80 sawtooth 0 1 0 0.73
	deformvertexes move 7.5922 5.28124 0 inversesawtooth -0.108127 1 0 0.73
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/ut4_formad/fire.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sawtooth 1 -1 1 0.73
		alphagen wave sawtooth 0 6 0 0.73
		tcMod rotate -9
		tcMod stretch sawtooth 1 -0.7 0 0.73
	}
}

textures/ut4_formad/sw_flame1
{
	
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 7500
	qer_editorimage textures/ut4_formad/flame1.tga
	

	{
		animMap 10 textures/ut4_formad/flame1.tga textures/ut4_formad/flame2.tga textures/ut4_formad/flame3.tga textures/ut4_formad/flame4.tga textures/ut4_formad/flame5.tga textures/ut4_formad/flame6.tga textures/ut4_formad/flame7.tga textures/ut4_formad/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_formad/flame2.tga textures/ut4_formad/flame3.tga textures/ut4_formad/flame4.tga textures/ut4_formad/flame5.tga textures/ut4_formad/flame6.tga textures/ut4_formad/flame7.tga textures/ut4_formad/flame8.tga textures/ut4_formad/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut4_formad/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/ut4_formad/smoke
{
qer_editorimage textures/sweetnutz2/sn_smoke.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -3.652960 37.605453 186.072220 sawtooth 0 1 0.071291 1.00000
{
clampmap textures/particles/sn_smoke.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.750000 -0.750000 0.071291 1.00000
rgbGen wave sawtooth 1.000000 0.000000 0.071291 1.00000
tcMod stretch sawtooth 1.000000 0.000000 0.071291 1.00000
blendfunc blend
}
}

textures/ut4_formad/proto_grate4
{
	surfaceparm	metalsteps	
        surfaceparm trans		
	surfaceparm nonsolid  
	cull none
        nopicmip

	// A GRATE OR GRILL THAT CAN BE SEEN FROM BOTH SIDES
	{
		map textures/ut4_formad/proto_grate4.tga
		//tcMod scale 2 2
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_formad/ter_mossmud
{
	qer_editorimage textures/ut4_formad/ter_mossmud.tga
	q3map_nonplanar
	q3map_shadeAngle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/ut4_formad/ter_moss1.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/ut4_formad/ter_mud1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_formad/wood_blend_xz
{
	qer_editorimage textures/ut4_formad/wood2.jpg
	q3map_nonplanar
	q3map_shadeAngle 120
	q3map_tcGen ivector ( 64 0 0 ) ( 0 0 96 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/ut4_formad/wood2_a.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/ut4_formad/wood4_a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_formad/wood_blend_yz
{
	qer_editorimage textures/ut4_formad/wood2.jpg
	q3map_nonplanar
	q3map_shadeAngle 120
	q3map_tcGen ivector ( 0 64 0 ) ( 0 0 96 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/ut4_formad/wood2_a.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/ut4_formad/wood4_a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_formad/wood_blend_xy
{
	qer_editorimage textures/ut4_formad/wood2_a.tga
	q3map_nonplanar
	q3map_shadeAngle 120
	//q3map_tcGen ivector ( 16 0 0 ) ( 0 128 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/ut4_formad/wood2_a.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/ut4_formad/wood4_a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_formad/ter_dirtmud
{
	qer_editorimage textures/ut4_formad/ter_dirtmud.tga
	q3map_nonplanar
	q3map_shadeAngle 120
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/ut4_formad/ter_dirt1.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/ut4_formad/ter_mud1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_formad/ivec_dirt1
{
	qer_editorimage textures/ut4_formad/ivec_dirt1.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/ut4_formad/ter_dirt1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_formad/ivec_moss1
{
	qer_editorimage textures/ut4_formad/ivec_moss1.tga
	q3map_nonplanar
	q3map_shadeAngle 120	
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/ut4_formad/ter_moss1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_formad/alpha_000
{
	qer_editorimage textures/ut4_formad/alpha_000.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/ut4_formad/alpha_025
{
	qer_editorimage textures/ut4_formad/alpha_025.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/ut4_formad/alpha_050
{
	qer_editorimage textures/ut4_formad/alpha_050.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/ut4_formad/alpha_075
{
	qer_editorimage textures/ut4_formad/alpha_075.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/ut4_formad/alpha_085
{
	qer_editorimage textures/ut4_formad/alpha_085.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/ut4_formad/alpha_100
{
	qer_editorimage textures/ut4_formad/alpha_100.tga
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}

models/mapobjects/pad_ddmix/plants/fern
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/plants/fern.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

textures/ut4_formad/kb_dirtywater
{
	qer_editorimage textures/pad_trash/dirtywater3.tga
	q3map_lightimage textures/pad_trash/dirtywater2.tga
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 128 sin 0 1 0.5 0.5 
	tessSize 128
	qer_nocarve
	qer_trans 0.5
	q3map_globaltexture
	q3map_surfacelight 40
	{
		map textures/pad_trash/dirtywater1.tga
		blendfunc filter
		tcMod scale 0.5 0.5
		tcMod scroll 0.07 0
	}
	{
		map textures/pad_trash/dirtywater3.tga
		blendfunc add
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.05 0
		tcMod turb 0.2 0.1 0.1 0.05
	}
	{
		map textures/pad_trash/dirtywater2.tga
		blendfunc filter
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.05 0
		tcMod turb 0.2 0.1 0.1 0.05
	}
}

models/mapobjects/pad_ddmix/trashcan/tree2_leaves
{
	surfaceparm alphashadow
	cull disable
	{
		map models/mapobjects/pad_ddmix/trashcan/tree2_leaves.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}

models/mapobjects/pad_ddmix/trashcan/tree1_twigs
{
	surfaceparm alphashadow
	cull disable
	//deformVertexes wave 194 sin 0 2 0 0.3 
	{
		map models/mapobjects/pad_ddmix/trashcan/tree1_twigs.tga
		rgbGen Vertex
		alphaFunc GE128
	}
}